LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLoadEventListener Interface Referencepublished

is used to receive callbacks from an asynchronous frame loader. More...

`import"XLoadEventListener.idl";`

Inheritance diagram for XLoadEventListener:

## Public Member Functions
void | loadFinished ([in] XFrameLoader Loader)
| is called when a new component is loaded into a frame successfully. More...
void | loadCancelled ([in] XFrameLoader Loader)
| is called when a frame load is canceled or failed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to receive callbacks from an asynchronous frame loader.

See also
  XFrameLoader

## Member Function Documentation

## ◆ loadCancelled()

void loadCancelled | ( | [in] XFrameLoader | Loader | ) |

is called when a frame load is canceled or failed.

Parameters

  Loader | the source of this event

## ◆ loadFinished()

void loadFinished | ( | [in] XFrameLoader | Loader | ) |

is called when a new component is loaded into a frame successfully.

Parameters

  Loader | the source of this event

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XLoadEventListener.idl